package org.lym.pom.repository.mongo.enums;

import org.lym.pom.repository.mongo.Comment;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 评论状态枚举：正常可见、待作者精选、待审核、管理移除、用户删除等
 *
 * @see Comment#status
 * @author lym
 */
public enum CommentStatusEnum implements NameAsIdDictionaryItemEnum<CommentStatusEnum> {
    NORMAL(Comment.Status.NORMAL),
    REVIEW(Comment.Status.REVIEW),
    AUDIT(Comment.Status.AUDIT),
    DELETED(Comment.Status.DELETED),
    FORCE_REMOVE(Comment.Status.FORCE_REMOVE);

    private final String storageName;

    CommentStatusEnum(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageName() {
        return storageName;
    }
}
